<?php
include_once("c_debug_info.php");
include_once(_DIR_TO_MODULES.'/engine/i_disk.php') ;
class c_page_cab_debug_info_ag extends c_page_cab_debug_info
{
  public $h1='Переход на новую систему учета направлений по АГ' ;
  var $event_id=305 ;

  function block_main()
  { $this->page_title() ;

      ?><form><table class="setting">
           <tr><td colspan="2"><strong>Настройки импорта направлений по АГ</strong></td></tr>
           <tr><td>ID мероприятия приема направлений по АГ</td><td><input type="text" name="setting[LS_esmo_ag_event]" value="<?echo htmlspecialchars($GLOBALS['LS_esmo_ag_event'])?>"></td></tr>
           <tr><td></td><td><button class="v2" cmd="aspmo_setting/save_setting">Сохранить</button></td></tr>
        </table></form><?

    if ($GLOBALS['LS_esmo_ag_event'])
    {   $this->event_id=$GLOBALS['LS_esmo_ag_event'] ;
    ?><button class="v1" cmd="clear_events">Удалить ранее созданные мероприятия</button>&nbsp;&nbsp;&nbsp;&nbsp;<?
    ?><button class="v1" cmd="step1">Первый этап - обрабатываем направления c сообщениями</button>&nbsp;&nbsp;&nbsp;&nbsp;<?
    ?><button class="v1" cmd="step2">Второй этап - обрабатываем направления без сообщений</button>&nbsp;&nbsp;&nbsp;&nbsp;<?
    ?><button class="v1" cmd="show_ag_stats">Текущая информация по импортированным направлениям</button>&nbsp;&nbsp;&nbsp;&nbsp;<?
    }

    $cmd_metod=$_POST['cmd'] ;
     if ($cmd_metod and method_exists($this,$cmd_metod))
     { ?><hr><?
       $this->{$cmd_metod}() ;
     }
    //$this->panel_info() ;
  }

   function clear_events()
   {
       execSQL_update('delete from obj_site_events_pass where event_id='.$this->event_id,2) ;
        execSQL_update('delete from obj_site_events_pass_status where event_id='.$this->event_id,2) ;
        execSQL_update('update obj_site_personal_mess set source_obj="",source_pkey=0,source_tkey=0 where  source_obj like "events_docs%"',2) ;
        execSQL_update('update obj_site_docs set source_obj="",source_pkey=0,source_tkey=0,event_pass_type=0 where  not (source_obj like "esmo_magnit_pmo%" or source_obj like "esmo_magnit_instruction%")',2) ;
        execSQL_update('update obj_site_docs set source_pkey=0 where source_pkey is null',2) ;
        execSQL_update('update obj_site_docs set source_tkey=0 where source_tkey is null',2) ;
        execSQL_update('update obj_site_docs set source_obj="" where source_obj is null',2) ;
        execSQL_update('update obj_site_docs set sign_data=0 where sign_data is null',2) ;
   }

   function step1()
   {   include_once(_DIR_EXT.'/events_docs/i_event_docs.php') ;
       $res=EVENT_DOCS()->update_personal_status_1($this->event_id,1000) ;
       damp_array($res,1,-1) ;

   }

   function step2()
   {   include_once(_DIR_EXT.'/events_docs/i_event_docs.php') ;
       for ($i=1;$i<=100;$i++) $res=EVENT_DOCS()->update_personal_status_1($this->event_id,1000) ;
       damp_array($res,1,-1) ;

   }

   function show_ag_stats()
   {
       $res=execSQL_row('select event_pass_type,count(pkey) from obj_site_docs where report_code="napravlenie" and sign_data>0 group by event_pass_type order by event_pass_type') ;
       damp_array($res,1,-1) ;
   }
}



?>